## org.hibernate.engine.transaction.spi
Interface TransactionObserver

    public interface TransactionObserver

Observer of internal transaction events.

Method Summary
`void` `afterBegin(TransactionImplementor transaction)` Callback for processing the beginning of a transaction.
`void` `afterCompletion(boolean successful, TransactionImplementor transaction)` Callback for processing the last phase of transaction completion.
`void` `beforeCompletion(TransactionImplementor transaction)` Callback for processing the initial phase of transaction completion.

Method Detail

### afterBegin

    void afterBegin(TransactionImplementor transaction)

  Callback for processing the beginning of a transaction. Do not rely on this being called as the transaction mat be started in a manner other than through the `Transaction` API.

  Parameters:
    `transaction` - The Hibernate transaction

### beforeCompletion

    void beforeCompletion(TransactionImplementor transaction)

  Callback for processing the initial phase of transaction completion.

  Parameters:
    `transaction` - The Hibernate transaction

### afterCompletion

    void afterCompletion(boolean successful,
                         TransactionImplementor transaction)

  Callback for processing the last phase of transaction completion.

  Parameters:
    `successful` - Was the transaction successful?
    `transaction` - The Hibernate transaction

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.